For the complete documentation index, see llms.txt. This page is also available as Markdown.

WestUnCommCode

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getWestUnCommCode

post

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WestUnCommCodeSelectionintegerRequired
Responses
200

Successful operation.

application/json
post/getWestUnCommCode
POST /nexum/627/2022.01/parameter/getWestUnCommCode HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 163

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WestUnCommCodeSelection": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WestUnCommCode": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getWestUnCommCode"
}

getWestUnCommCodeSelectFields

post

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WestUnCommCodeSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/getWestUnCommCodeSelectFields
POST /nexum/627/2022.01/parameter/getWestUnCommCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
200

Successful operation.

{
  "WestUnCommCode": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getWestUnCommCodeSelectFields"
}

getWestUnCommCodePagedList

post

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWestUnCommCodePagedList
POST /nexum/627/2022.01/parameter/getWestUnCommCodePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "getWestUnCommCodePagedList"
}

getWestUnCommCodeListSelectFields

post

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getWestUnCommCodeListSelectFields
POST /nexum/627/2022.01/parameter/getWestUnCommCodeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 197

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
200

Successful operation.

{
  "WestUnCommCodeList": [],
  "MessageId": "getWestUnCommCodeListSelectFields"
}

searchWestUnCommCodeSelectFields

post

Search WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchWestUnCommCodeSelectFields
POST /nexum/627/2022.01/parameter/searchWestUnCommCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 235

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "WestUnCommCodeList": [],
  "MessageId": "searchWestUnCommCodeSelectFields"
}

getWestUnCommCodePagedListSelectFields

post

Retrieve WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getWestUnCommCodePagedListSelectFields
POST /nexum/627/2022.01/parameter/getWestUnCommCodePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 276

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
200

Successful operation.

{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "getWestUnCommCodePagedListSelectFields"
}

searchWestUnCommCodePagedSelectFields

post

Search WestUnCommCode parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchWestUnCommCodePagedSelectFields
POST /nexum/627/2022.01/parameter/searchWestUnCommCodePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 287

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IncludeAllWestUnCommCodeFields": true
  }
}
200

Successful operation.

{
  "WestUnCommCode": [],
  "Token": null,
  "MessageId": "searchWestUnCommCodePagedSelectFields"
}

updateWestUnCommCodeByID

post

Update WestUnCommCode parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
WestUnCommCodeSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/updateWestUnCommCodeByID
POST /nexum/627/2022.01/parameter/updateWestUnCommCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WestUnCommCodeSelection": 1,
  "WestUnCommCodeUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateWestUnCommCodeByID"
}

Last updated

Was this helpful?